package com.qmth.eds.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.eds.common.entity.ExamScheduleTask;
import com.qmth.eds.common.entity.TBSyncTask;
import com.qmth.eds.common.enums.TaskResultEnum;
import com.qmth.eds.common.enums.TaskStatusEnum;
import com.qmth.eds.common.enums.TaskTypeEnum;

/**
 * <p>
 * 同步数据 服务类
 * </p>
 */
public interface TBSyncTaskService extends IService<TBSyncTask> {

    TBSyncTask saveTask(ExamScheduleTask examScheduleTask, TaskTypeEnum type, boolean isAuto);

    void updateStatusAndResultById(Long id,TaskStatusEnum status, TaskResultEnum result, String errorMessage);

    TBSyncTask saveTask(Long semesterId, Long examTypeId, TaskTypeEnum type, String remark);
}
